## com.fasterxml.jackson.databind.introspect
Interface ClassIntrospector.MixInResolver

All Known Implementing Classes:
  DeserializationConfig, MapperConfig, MapperConfigBase, SerializationConfig

Enclosing class:
  ClassIntrospector

    public static interface ClassIntrospector.MixInResolver

Interface used for decoupling details of how mix-in annotation definitions are accessed (via this interface), and how they are stored (defined by classes that implement the interface)

Method Summary
`Class<?>` `findMixInClassFor(Class<?> cls)` Method that will check if there are "mix-in" classes (with mix-in annotations) for given class

Method Detail

### findMixInClassFor

    Class<?> findMixInClassFor(Class<?> cls)

  Method that will check if there are "mix-in" classes (with mix-in annotations) for given class

Copyright © 2012 FasterXML. All Rights Reserved.